com.gemstone.gbjgci

## Class GbjGciCacheStats

- java.lang.Object
- - com.gemstone.gbjgci.GbjGciCacheStats

- Direct Known Subclasses:
    GbjCacheStats

      public class GbjGciCacheStats
      extends java.lang.Object

  GbjGciCacheStats provides access to shared page cache statistics returned from GbjGciInterface calls to GCSI (GCI Cache Statistics Interface) functions. All behavior is defined in GbjGciInterface -- refer to GbjGciInterface documentation for details.

  Like other GbjGci classes, higher level classes are available for more application-friendly use. See GbjCacheStats and GbjJmxCacheStats in the com.gemstone.gbjstats package for details.

  Version:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name` Name of GemStone Process providing these cache stats
    `long` | `pid` Process ID
    `long` | `sid` Session ID
    `int[]` | `stats32` int[] field for holding 32-bit cache stats
    `long[]` | `stats64` long[] field for holding 64-bit cache stats
    `int` | `type` Type of GemStone Process providing these cache stats
    `static int` | `TYPE_APP` Static constant for representing an application GS process type (5)
    `static int` | `TYPE_GEM` Static constant for representing a gem GS process type (3)
    `static int` | `TYPE_PGSVR` Static constant for representing a pgsvr GS process type (2)
    `static int` | `TYPE_SPCMONITOR` Static constant for representing a shared page cache monitor GS process type (0)
    `static int` | `TYPE_STATMON` Static constant for representing a statmon GS process type (4)
    `static int` | `TYPE_STONE` Static constant for representing a stone GS process type (1)
    `static int` | `TYPE_SYSTEM` Static constant for representing a system GS process type (6)
    `static int` | `TYPE_UNASSIGNED` Static constant for representing an unassigned GS process type (-1)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjGciCacheStats()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_UNASSIGNED

          public static final int TYPE_UNASSIGNED

      Static constant for representing an unassigned GS process type (-1)
      See Also:
        Constant Field Values

    - #### TYPE_SPCMONITOR

          public static final int TYPE_SPCMONITOR

      Static constant for representing a shared page cache monitor GS process type (0)
      See Also:
        Constant Field Values

    - #### TYPE_STONE

          public static final int TYPE_STONE

      Static constant for representing a stone GS process type (1)
      See Also:
        Constant Field Values

    - #### TYPE_PGSVR

          public static final int TYPE_PGSVR

      Static constant for representing a pgsvr GS process type (2)
      See Also:
        Constant Field Values

    - #### TYPE_GEM

          public static final int TYPE_GEM

      Static constant for representing a gem GS process type (3)
      See Also:
        Constant Field Values

    - #### TYPE_STATMON

          public static final int TYPE_STATMON

      Static constant for representing a statmon GS process type (4)
      See Also:
        Constant Field Values

    - #### TYPE_APP

          public static final int TYPE_APP

      Static constant for representing an application GS process type (5)
      See Also:
        Constant Field Values

    - #### TYPE_SYSTEM

          public static final int TYPE_SYSTEM

      Static constant for representing a system GS process type (6)
      See Also:
        Constant Field Values

    - #### type

          public int type

      Type of GemStone Process providing these cache stats

    - #### name

          public java.lang.String name

      Name of GemStone Process providing these cache stats

    - #### pid

          public long pid

      Process ID

    - #### sid

          public long sid

      Session ID

    - #### stats32

          public int[] stats32

      int[] field for holding 32-bit cache stats

    - #### stats64

          public long[] stats64

      long[] field for holding 64-bit cache stats

  - ### Constructor Detail

    - #### GbjGciCacheStats

          public GbjGciCacheStats()